
Katello - Bug #23925

Atomic repos show up for enabling even if ostree plugin is not installed

06/13/2018 05:54 PM - Justin Sherrill

Status: Closed   

Priority: Normal   

Assignee: Stephen Benjamin   

Category: Repositories   

Target version: Katello 3.7.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-kat

ello_devel/pull/162

  

Description

http://projects.theforeman.org/issues/23801

we should hide ostree-type repos on the redhat repos page if the ostree plugin is not installed.

Related issues:

Related to Katello - Bug #23801: Cannot sync Atomic kickstart nor RPMs Resolved

Associated revisions

Revision ded508ed - 07/06/2018 06:26 PM - Stephen Benjamin

fixes #23925 - match prod content type settings

Dev currently doesn't configure katello's plugin settings with the

enabled types, so for ostree, even if you set ostree to false, you'll

see see OS tree repos in dev (and they'll fail to enable).  This adds

all the content types so dev looks more like prod setup.

History

#1 - 06/13/2018 05:55 PM - Justin Sherrill

- Related to Bug #23801: Cannot sync Atomic kickstart nor RPMs added

#2 - 06/13/2018 05:55 PM - Justin Sherrill

- translation missing: en.field_release set to 338

#3 - 06/28/2018 04:40 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Stephen Benjamin

- Pull request https://github.com/theforeman/puppet-katello_devel/pull/162 added

#4 - 06/28/2018 04:41 PM - Stephen Benjamin

This will only happen in a devel install, https://github.com/theforeman/puppet-katello_devel/pull/162 fixes it.  Why was this created as a separate issue

than #23801? They're the same bug AFAICT.

#5 - 06/28/2018 04:44 PM - Stephen Benjamin

Oh maybe it's different. My fix handles the part of the issue where ostree will show up in dev.  The code is here to hide the repos already and works

just fine in prod: https://github.com/Katello/katello/blob/master/app/models/katello/repository.rb#L215

But the actual RPM kickstart repos are flagged as yum type in the CDN and they show up in prod and CDN.  How do we handle hiding those? Seems

matching "Atomic" isn't really ideal.

#6 - 07/06/2018 07:01 PM - Stephen Benjamin

- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset puppet-katello_devel|ded508edae3acaab169e0ea130dbba3db93eb0b2.
